Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-8133596

Switch production builds for FX 9 to Oracle Linux 7 + GLIBC_2.14

    Details

    • Type: Enhancement
    • Status: Resolved
    • Priority: P3
    • Resolution: Fixed
    • Affects Version/s: 9
    • Fix Version/s: 9
    • Component/s: javafx
    • Labels:
      None
    • Environment:

      Linux

    • Subcomponent:
    • Resolved In Build:
      master
    • OS:
      linux

      Description

      In JDK 8u60 we build JavaFX on Oracle Linux 6 with a dependency on GLIBC_2.2.5. In order to support the new version of GStreamer in FX 9 we need to upgrade our build machine to Oracle Linux 7 and build with a newer version of the libraries. This will cause us to have a dependency on GLIBC_2.14.

      After this change goes into JDK 9, JavaFX applications will not run on some older versions of Linux. Specifically they will no longer run on Oracle Linux 6.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                kcr Kevin Rushforth
                Reporter:
                kcr Kevin Rushforth
              • Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: